<template lang="html">
  <div class="select-list">
    <button v-for="(item, i) in list" :key="i" @click="selectItem(i)" :class="{ selected: selected==i}">{{ item.name }}</button>
  </div>
</template>

<script>
export default {
  props: ['list'],
  data() {
    return {
      selected: 0,
    };
  },
  methods: {
    selectItem(i) {
      this.selected=i;
      this.$emit('change', i);
    },
  },
}
</script>
